XAMPP 1.8.0 popraviti phpmyadmin nakon nadogradnje

Prije nekoliko dana je izašao XAMPP 1.8.0 Nakon nadogradnje s verzije 1.7.7 Imao sam prilično zanimljiv problem. PhpMyAdmin-ne moj otvor i izg″rmâvaše s 403

Pristup zabranjen!


Novi XAMPP sigurnosni koncept:

Pristup zahtijevani objekt dostupan samo iz lokalne mreže.

Ovu je postavku moguće konfigurirati u datoteci “http-xampp.conf”.

Sada sam otvorio httpd-conf xampp za mene... nalazi se u u/opt/lampp/itd/extra /, na prvi pogled, sve se činilo u redu. Pravila za lokalne mreže su dobro. Osim toga bih otvorila localhost. WTF ??? Sam gledao dnevnik i vidjeti da moj pristup je odsječen od konfiguaciâta. Ovdje stvari već ahnaha me i iskreno malo sreće otkrio sam problem. Nakon što ide preko HTTP. conf i pila u dopustiti/poreći rečenice jedan posljednji redak Zahtijevaju sve gotovo. -U Eureku. Ovo je novi kontrolni mehanizam koji je stupio na Apache 2.4.XI. Daje pristup ili odbija kao sve u redu, u osnovi je oponašati dopustiti/poreći funkcionalnost :). Da otkloni problem možemo dodati zahtijevaju sve odobrenog u u/opt/lampp/phpmyadmin mape. Nakon promjene na meni izgleda ovako

<Imenik “/opt/lampp/phpmyadmin”>
AllowOverride AuthConfig granica
Bi omogućiti,uskratiti
Dopustiti iz svih
Zahtijevaju sve gotovo
</Imenik>

 

Uvijek pokušajte drugi divoti, na primjer, preimenovati mapu phpmyadmin nešto drugo, a ne alias za. Ali to je ružno i ne vrlo značajna 🙂

p. s me Zašto koristiti XAMPP i čistiti instalaciju svih komponenti jer je moj Debian je rođen na pitanje – Odgovor je zapravo vrlo jednostavan – LIJENOST. Mene previše lijen pisati više naredbi onda se konfovete itd.. Lako je uzeti cijeli paket razarhiviraš i svjetlo 😉

Poboljšana po Zemanta

ostavi odgovor

Vaša e-mail adresa neće biti objavljen. Obavezna polja označena su *

Protu-SPAM *